﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using GcDevicePc.DevParam;
using GcDevicePc.IniParam;

namespace GcDevicePc
{
    public partial class ConfigInfo : Form
    {
        public InstrConfig fatherForm; 

        public ConfigInfo()
        {
            InitializeComponent();
        }

        private void ConfigInfo_Load(object sender, EventArgs e)
        {

            this.gcid.Text =  CProfileDevice.m_DevParam.syspara.GCNum.ToString();
            this.gcname.Text = CProfileDevice.m_DevParam.syspara.GCName.ToString();

            //自动进样器
            this.label6.Text = CProfileDevice.m_DevParam.syspara.u16SampleNum.ToString();
            this.label7.Text = (CProfileDevice.m_DevParam.syspara.u16SampleFront == 1) ? "有" : "无";
            this.label8.Text = (CProfileDevice.m_DevParam.syspara.u16SampleBehind == 1) ? "有" : "无";

            //自动切换阀
            this.label9.Text = "阀数量：" + CProfileDevice.m_DevParam.syspara.u16ValveBox.ToString();
            this.label10.Text = "阀1:" + ((CProfileDevice.m_DevParam.syspara.u16ValveOne == 1) ? "有" : "无");
            this.label11.Text = "阀2:" + ((CProfileDevice.m_DevParam.syspara.u16ValveTwo == 1) ? "有" : "无");
            this.label12.Text = "阀3:" + ((CProfileDevice.m_DevParam.syspara.u16ValveThree == 1) ? "有" : "无");
            this.label13.Text = "阀4:" + ((CProfileDevice.m_DevParam.syspara.u16ValveFour == 1) ? "有" : "无");
            this.label28.Text = "阀5:" + ((CProfileDevice.m_DevParam.syspara.u16ValveFive == 1) ? "有" : "无");
            this.label29.Text = "阀6:" + ((CProfileDevice.m_DevParam.syspara.u16ValveSix == 1) ? "有" : "无");

            //进样口
            this.label14.Text = "进样口数量:" + CProfileDevice.m_DevParam.syspara.u16InjPortNum.ToString();

            this.label15.Text = "前进样口:" + ((CProfileDevice.m_DevParam.syspara.u16InjPortFront == 1) ? "有" : "无") + " 保护温度:" + CProfileDevice.m_DevParam.syspara.u16InjPortFPTemp.ToString();
            this.label16.Text = "后进样口:" + ((CProfileDevice.m_DevParam.syspara.u16InjPortBehind == 1) ? "有" : "无") + " 保护温度:" + CProfileDevice.m_DevParam.syspara.u16InjPortBPTemp.ToString();

            //柱箱
            this.label17.Text = "柱箱:" + ((CProfileDevice.m_DevParam.syspara.u16Col == 1) ? "有" : "无");
            this.label19.Text = "柱箱类型:" + ((CProfileDevice.m_DevParam.syspara.u16ColType == 1) ? "标准柱箱" : "小柱箱");
            this.label27.Text = "设备保护温度：" + CProfileDevice.m_DevParam.syspara.u16ColPTemp.ToString();

            //色谱柱
            this.label18.Text = "色谱柱数量：" + CProfileDevice.m_DevParam.syspara.u16ChromNum.ToString();
            this.label20.Text = "前色谱柱：" + ((CProfileDevice.m_DevParam.syspara.u16ChromFront == 1) ? "有" : "无");
            this.label21.Text = "后色谱柱：" + ((CProfileDevice.m_DevParam.syspara.u16ChromBehind == 1) ? "有" : "无");

          //  this.label17.Text = "前进样口:" + CProfileDevice.m_DevParam.syspara.u16InjPortNum.ToString();

            //检测单元
            this.label22.Text = "前检测器：" + ((CProfileDevice.m_DevParam.syspara.u16DetFront == 1) ? "有" : "无") + ((CProfileDevice.m_DevParam.syspara.u16DetFrontType == 1) ? " FID" : "") + " 保护温度:" + CProfileDevice.m_DevParam.syspara.u16DetFrontPTemp.ToString();
            this.label23.Text = "中检测器：" + ((CProfileDevice.m_DevParam.syspara.u16DetInter == 1) ? "有" : "无") + ((CProfileDevice.m_DevParam.syspara.u16DetInterType == 1) ? " FID" : "") + " 保护温度:" + CProfileDevice.m_DevParam.syspara.u16DetInterPTemp.ToString();
            this.label24.Text = "后检测器：" + ((CProfileDevice.m_DevParam.syspara.u16DetBehind == 1) ? "有" : "无") + ((CProfileDevice.m_DevParam.syspara.u16DetBehindType == 1) ? " FID" : "") + " 保护温度:" + CProfileDevice.m_DevParam.syspara.u16DetBehindPTemp.ToString();

            //辅助
            this.label25.Text = "辅助1：" + ((CProfileDevice.m_DevParam.syspara.u16AuxHeater1 == 1) ? "有" : "无") + " 保护温度:" + CProfileDevice.m_DevParam.syspara.u16DetInterPTemp.ToString();
            this.label26.Text = "辅助2：" + ((CProfileDevice.m_DevParam.syspara.u16AuxHeater2 == 1) ? "有" : "无") + " 保护温度:" + CProfileDevice.m_DevParam.syspara.u16DetBehindPTemp.ToString();
 
            
        }
    }
}
